{% load i18n %}
{% load cache %}
{% load server_tags %}

{% cache 120 "recent-locations" %}
    <div class="sidebar-item">
        <div class="head">{% trans "Recent Locations" %} &bull;
        <a href="{% url 'user-list' %}">{% trans "All" %} &raquo;</a></div>
        <div class="recent-posts">
            <ul>
                {% for user in users %}
                    {% if user.profile.location %}
                        <li>
                            {{ user.profile.location }}, <span class="subtle">{{ user.profile.last_login|time_ago }}</span>
                        </li>
                    {% endif %}
                {% endfor %}
            </ul>
        </div>
    </div>
{% endcache %}